URL structure
{orgId} is the ID of an organization.
Supported methods and overview
GET- used to retrieve a list of high-level information associated with all items currently in the Recycle Bin of the Covata user whose access token is submitted in the request to this endpoint.DELETE- used to delete all items in the Recycle Bin of the Covata user whose access token is submitted in the request.
The
DELETE method takes no parameters.Detailed description
This API endpoint serves a number of purposes:- Retrieves a list of high-level information associated with all items currently in the Recycle Bin of the Covata user whose access token is submitted with the request to this endpoint.
-
Deletes all items in the Recycle Bin of the Covata user whose access token is submitted with the request.
Note: This action:- Permanently deletes all items in the Recycle Bin, along with all versions associated with every file deleted. If an item is a folder, this includes every item contained within this folder.
- Automatically deletes the encrypted data associated with all these deleted file objects (and their versions) from storage managed by the Covata Platform’s Content Service.
- Changes the state of all deleted file objects to Deleted. However, this does not remove these file objects’ associated properties from the Covata Platform. Nevertheless, a file object and all its properties are deleted from the system if the Covata user who owns the file object is removed from the organization (without the ownership of the file object being transferred to another Covata user in the organization).
- Unlike permanently deleting file objects, permanently deleting folders removes all trace of the folder and its properties from the Covata Platform.
Supported roles
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide):- Originator - when this user is a member of the organization whose ID is specified by
{orgId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Optional GET-request parameters
The following optional parameter can be sent in the URL of the GET request:-
limit - A value from
0to any positive integer, representing the maximum number of items to be returned in the response from the Covata Platform, where an individual item is information about a file object within the organization. Specifying the value0imposes no limit on the number of items returned. If this parameter is omitted, then its value is10by default. -
offset - A value representing the count order of all retrievable items (i.e. file objects) from the Covata Platform returned in the response. Calls to this API endpoint are soon likely to amount to potentiallly unmanagable numbers of items being returned from the Covata Platform. Since the order of these items in the response could differ significantly, based on the values of the orderBy and sortBy parameters below, this offset parameter provides pagination for items returned in responses, allowing items to be retrieved from any count greater than
0(i.e. the first item returned in a response). If this parameter is omitted, then its value is0by default. -
orderBy - An enumeration (enum) value representing the order in which items (i.e. file objects) are returned in the response. This parameter orders items according to the value of the sortBy parameter specified below. Ordering items can be in either ascending alphanumeric order (by specifying the value
ASCfor this parameter) or descending order (by specifying the valueDESC). If this parameter is omitted, then its value isDESCby default. -
sortBy - An enum value representing the field (i.e. member) of a retrieved item by which items (i.e. file objects and folders) returned in the response will be sorted. Valid field values for this parameter include:
name- the item’s name,size- the date when the file object was created,time- the file object’s ID.
timeby default.
Example (GET request - retrieving information about a Covata user’s recycled items in ascending alphabetical order by item name):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful GET requests only, a JSON-formatted response containing the following members is also returned:
- items - An array containing information about all currently recycled items in the Covata user whose access token is submitted in the request to this endpoint. Each element of this array contains information about one of these recycled items (represented as an object containing the following members unless otherwise stated).
- id - The ID of the item.
- name - The name of the item.
-
type - The item’s type - i.e. indicates
objectif the item is a file object orcollectionif the item is a folder. - recycledTime - The time when the item was recycled.
- totalVersionSize - The amount of space (in bytes) of all versions of the file object’s data (as recorded by the Covata Platform’s Access Service).
- requestorEmail - The email address of the user who recycled the item.
- shared - A boolean value indicated whether or not the item was shared (prior to the item being recycled).
-
organisationId - The ID of the organisation to which this item belongs. (This value should match that of
{orgId}in the request’s URL.) -
parentId - The ID of the folder/location that contained this item (prior to it being recycled). A value of
0indicates that this item is located at the logical root location. - ownerId - The ID of this item’s owner’s Covata user account.
- daysToPurge - The number of days remaining before the Covata Platform automatically deletes (purges) this item from the Recycle Bin.
- count - The maximum number of items (i.e. recycled files and/or folders) that can be returned in the response.
-
offset - The value of the offset which had been used in the request to this endpoint.
Example (response from a GET request):

